# vim: set ft=spec: -*- spec -*-

%define program_prefix rss-

Name: rss_glx
Version: 0.8.1
Release: alt1

Summary: Really Slick Screensavers
Group: Graphical desktop/Other
License: GNU GPL
Url: http://rss-glx.sourceforge.net/

Packager: Sir Raorn <raorn@altlinux.ru>

# git://git.altlinux.org/people/raorn/packages/%name.git
Source: %name-%version-%release.tar.bz2

BuildRequires(pre): xscreensaver-devel kde-common-devel

# Automatically added by buildreq on Wed Oct 11 2006
BuildRequires: bzlib-devel gcc-c++ libImageMagick-devel libmesa-devel libopenal-devel libXt-devel

%description
The Really Slick Screensavers GLX port.
A collection of fancy OpenGL screensavers ported from Windows to X
for use with xscreensaver.

%package -n xscreensaver-hacks-%name
Summary: Really Slick Screensavers - xscreensaver modules
Group: Graphical desktop/Other
Requires: %name = %version-%release
PreReq: xscreensaver >= 4.09-alt1
Provides: xscreensaver-hack

%description -n xscreensaver-hacks-%name
The Really Slick Screensavers GLX port.
A collection of fancy OpenGL screensavers ported from Windows to X
for use with xscreensaver.

This package contains xscreensaver modules configs.

%package kde
Summary: Really Slick Screensavers - KDE modules
Group: Graphical desktop/KDE
Requires: %name = %version-%release
PreReq: kde-common

%description kde
The Really Slick Screensavers GLX port.
A collection of fancy OpenGL screensavers ported from Windows to X
for use with xscreensaver.

This package contains KDE menu entries.

%prep
%setup -q -n %name-%version-%release

%build
%configure \
	--program-prefix=%program_prefix \
	--with-configdir=%xss_conf_dir \
	--with-kdessconfigdir=%_Kapplnk/System/ScreenSavers
%make_build

# Get xscreensaver config
grep '^\$screensavers' utils/rss-glx_install.pl |
	sed -e 's,^\$screensavers-.*= '\''\(.*\)'\'';,\1,; s,\\\(.\),\1,g; s,\([A-Za-z0-9_-]\+\) --root,%program_prefix\1 --root,' > %name.xss

# Fixup KDE desktop files
find . -name '*.desktop' -print0 |
	xargs -r0 %__subst 's,^\(Exec=\),\1%program_prefix,; s,^\(Exec=\)\(%program_prefix\)\(kxs\(config\|run\)\) ,\1\3 \2,;' --

%install
%__mkdir_p %buildroot%xss_ad_dir
%make_install DESTDIR=%buildroot install
%__rm -f %buildroot%_bindir/*_install.pl

for i in %buildroot%xss_conf_dir/*.xml; do
	d="${i%%/*}"
	f="${i##*/}"
	%__mv "$i" "$d/%program_prefix$f"
done

%__install -m644 %name.xss %buildroot%xss_ad_dir/%name.xss

%post -n xscreensaver-hacks-%name
%update_xscreensaver

%postun -n xscreensaver-hacks-%name
%clean_xscreensaver

%post kde
%update_menus

%postun kde
%clean_menus

%files
%doc COPYING INSTALL README
%_bindir/*
%_man1dir/*

%files -n xscreensaver-hacks-%name
%doc README.xscreensaver
%config %xss_ad_dir/%name.xss
%config %xss_conf_dir/*.xml

%files kde
%_Kapplnk/System/ScreenSavers/*.desktop

%changelog
* Wed Oct 11 2006 Sir Raorn <raorn@altlinux.ru> 0.8.1-alt1
- [0.8.1]
- Added KDE desktop files (-kde subpackage)
- Prefix all binaries with "rss-" (closes: #4608)
- Generate xscreensaver AD module from rss-glx_install.pl
- xscreensaver-hackes should PreReq xscreensaver package
- Updated build dependencies
- New hacks:
 + colorfire
 + hyperspace
 + matrixview
 + spirographx

* Fri Aug 12 2005 Sir Raorn <raorn@altlinux.ru> 0.7.4-alt3.1.2
- Another rebuild with another new xscreensaver

* Tue Aug 02 2005 Sir Raorn <raorn@altlinux.ru> 0.7.4-alt3.1.1
- Rebuilt with new xscreensaver

* Wed Jan 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.7.4-alt3.1
- Rebuilt with libstdc++.so.6.

* Wed Feb 11 2004 Sir Raorn <raorn@altlinux.ru> 0.7.4-alt3
- Fix gcc 3.3 build

* Tue Apr 15 2003 Sir Raorn <raorn@altlinux.ru> 0.7.4-alt2
- Rebuilt with new xscreensaver
- Split to rss_glx and xscreensaver-hacks-rss_glx

* Thu Apr 03 2003 Alexander Bokovoy <ab@altlinux.ru> 0.7.4-alt1
- Initial build for Sisyphus

